# $Revision: 1.38 $, $Date: 2011/08/10 07:30:12 $
Summary:	Educational games for children
Summary(pl.UTF-8):	Gry edukacyjne dla dzieci
Name:		childsplay
Version:	1.6
Release:	1
License:	GPL v3+
Group:		X11/Applications/Games
Source0:	http://downloads.sourceforge.net/schoolsplay/%{name}-%{version}.tgz
# Source0-md5:	d113ca45424f48e5f8fee6df04ffa7a1
Source1:	%{name}.desktop
Source2:	pld_setup.py
Patch0:		%{name}-gettext.patch
URL:		http://www.schoolsplay.org/
BuildRequires:	python-devel
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.112
%pyrequires_eq	python-modules
Requires:	python-SQLAlchemy
Requires:	python-numpy
Requires:	python-pygame >= 1.7
Requires:	python-pygtk-gtk >= 1:2.0
Requires:	python-sqlite >= 1.1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Childsplay is a 'suite' of educational games for young children, like
gcompris, but without the overkill of C/C++ and the GNOME environment.
Also the use of the SDL libraries makes smooth animation and the
playing of sound very easy.

%description -l pl.UTF-8
Childsplay to zestaw gier edukacyjnych dla małych dzieci, podobnych do
gier z zestawu gcompris. Jest jednak napisana bez narzutu C/C++ i
środowiska GNOME - w Pythonie, z użyciem biblioteki SDL, co czyni
animacje płynnymi i odtwarzanie dźwięku bardzo łatwym.

%prep
%setup -q
%patch0 -p1

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir}/{games/%{name}/alphabetsounds,locale},%{_pixmapsdir},%{_desktopdir}}
install -d $RPM_BUILD_ROOT%{py_sitescriptdir}/childsplay_sp

# use our custom setup.py instead of ugly orginal one
cp %{SOURCE2} setup.py

%{__python} setup.py install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

cp -fr lib/CPData $RPM_BUILD_ROOT%{_datadir}/games/%{name}
cp -fr lib/SPData $RPM_BUILD_ROOT%{_datadir}/games/%{name}
cp -fr alphabetsounds/en $RPM_BUILD_ROOT%{_datadir}/games/%{name}/alphabetsounds
cp -fr locale/* $RPM_BUILD_ROOT%{_datadir}/locale

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install bin/childsplay $RPM_BUILD_ROOT%{_bindir}
install lib/SPData/menu/default/logo_cp_64x64.png $RPM_BUILD_ROOT%{_pixmapsdir}/%{name}.png

%py_comp $RPM_BUILD_ROOT%{_datadir}/games/%{name}
%py_ocomp $RPM_BUILD_ROOT%{_datadir}/games/%{name}

%find_lang %{name}_sp --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}_sp.lang
%defattr(644,root,root,755)
%doc doc/*
%attr(755,root,root) %{_bindir}/childsplay
%{_datadir}/games/%{name}
%{py_sitescriptdir}/childsplay_sp
%{_desktopdir}/%{name}.desktop
%{_pixmapsdir}/%{name}.png
%if "%{py_ver}" > "2.4"
%{py_sitescriptdir}/childsplay_sp-*.egg-info
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: childsplay.spec,v $
Revision 1.38  2011/08/10 07:30:12  lisu
- updated to 1.6

Revision 1.37  2010/09/21 19:00:00  glen
- release 4

Revision 1.36  2010/07/08 07:41:28  arekm
- release 3

Revision 1.35  2010/06/13 12:52:50  lisu
- data files in /usr/share/games/childsplay
- more unify paths in setup.py
- BR: rpmbuild(macros) >= 1.112
- rel 2

Revision 1.34  2010/06/12 20:15:56  lisu
- better summary
- desc fixes

Revision 1.33  2010/06/12 20:02:40  lisu
- R: python-pygtk-gtk >= 1:2.0
- rel 1

Revision 1.32  2010/06/12 19:51:15  lisu
- clean up

Revision 1.31  2010/06/12 19:50:57  lisu
- package .egg-info
- BR: python-devel

Revision 1.30  2010/06/12 19:42:25  lisu
- restore icon and desktop
- run setup.py first, then install rest files

Revision 1.29  2010/06/12 19:12:52  lisu
- plugins are not supported anymore
- more cleanups

Revision 1.28  2010/06/12 19:08:21  lisu
- enable gettext support (-gettext.patch)
- locales work now

Revision 1.27  2010/06/12 15:42:44  lisu
- rel 0.1

Revision 1.26  2010/06/12 15:39:41  lisu
- up to 1.5.1
- add custom (hacked) setup.py scirpt (the orginal one was very very unfrendly)
- start clean up this mess
- a lot of changes in this revision, but game is now runable
- nfy

Revision 1.25  2009/08/03 14:40:11  lisu
- up to 1.4
- R: python-sqlite >= 1.1
- doesn't work

Revision 1.24  2009/06/01 08:22:08  lisu
- up to 1.3
- R: python-numpy

Revision 1.23  2009/01/30 12:03:13  lisu
- up to 1.1
- still needs fixes

Revision 1.22  2009/01/27 12:37:09  lisu
- use childsplay script instead of our to run childsplay

Revision 1.21  2009/01/27 11:33:16  lisu
- locale files packaged

Revision 1.20  2009/01/27 10:52:36  lisu
- start update to 1.0
- new www
- nfy (TODO)

Revision 1.19  2008/04/09 07:21:40  ankry
- Norwegian translation fix, rel. 2

Revision 1.18  2008-04-08 19:29:51  glen
- no locale todo

Revision 1.17  2008-01-18 01:15:12  lisu
- updated to 0.90.2

Revision 1.16  2007-08-27 21:16:32  lisu
- up to 0.90.1
- plugins and plugins_lfc updated to 0.90 version
- GPL v2+ -> GPL v3+

Revision 1.15  2007/06/20 23:09:16  lisu
- BR: rpm-pythonprov

Revision 1.14  2007/02/12 21:23:50  glen
- tabs in preamble

Revision 1.13  2007/02/12 00:48:41  baggins
- converted to UTF-8

Revision 1.12  2007/01/28 23:36:14  lisu
- plugins and plugins_lfc up to 0.85.2

Revision 1.11  2006/12/08 08:26:52  lisu
- 0.85.1
- plugins updated to 0.85 version
- License GPL v2+

Revision 1.10  2006/10/27 22:31:12  lisu
- 0.84.1
- childsplay.png removed (there is one in sources)

Revision 1.9  2006/10/23 17:48:19  lisu
- updated to 0.84
- plugins updated

Revision 1.8  2006/08/15 14:17:22  rotom
- childsplay up to 0.82.2
- plugins up to 0.82.1
- plugins-lfc up to 0.80.4

Revision 1.7  2006/02/19 11:20:10  qboosh
- added missing assetml dir (note: shared with gcompris)

Revision 1.6  2006/02/18 07:15:12  piti
- up to 0.81.7
- new module added childsplay_plugins_lfc
- modules should not be compiled, otherwise do not work. Fixed.

Revision 1.5  2006/01/23 19:37:43  jajcus
- desktop file and icon added
- more explicit paths in BASEPATH.py

Revision 1.4  2006/01/20 18:57:25  piti
- up to 0.81.5 and plugins to 0.80.6
- BASEPATH.py should not be compiled, fixed

Revision 1.3  2006/01/20 12:22:22  qboosh
- unified, desc cosmetics
- NOTE: sgid for python scripts won't work

Revision 1.2  2006/01/18 21:38:06  jajcus
- SourceX-md5 added
- *-devel BR removed -- not needed for pure python software
- R: python-modules
- BuildArch: noarch  (no packages files seem architecture-dependent)
- data and library files moved to %{_datadir}, as not architecture-dependent
- python modules compilation using %py_comp macros
- %find_lang for localized files
- scores file packaged, binary sgid-games for write access to the file

Revision 1.1  2006/01/18 20:58:00  jajcus
- new spec by robert.tomasik, fixes will follow
